Paginated read of stdout/stderr for a running or completed script run.
GET
/api/v1/{tenantId}/scripts/runs/{threadId}/logs
Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” threadId
required
integer format: int64
tenantId
required
string
Query Parameters
Section titled “Query Parameters ” from
integer format: int64
limit
integer format: int32
Responses
Section titled “ Responses ”OK
object
chunks
Array<object>
object
id
string
executionId
string
threadId
integer format: int64
firstSequenceNumber
integer format: int64
lastSequenceNumber
integer format: int64
lastCapturedAt
string format: date-time
lines
Array<object>
object
sequenceNumber
integer format: int64
capturedAt
string format: date-time
isStdErr
boolean
line
string
truncated
boolean
sequenceNumber
integer format: int64
capturedAt
string format: date-time
isStdErr
boolean
line
string
truncated
boolean
nextSequenceExclusive
integer format: int64
Bad Request
object
message
string
code
string
Too Many Requests
object
message
string
code
string